Subject: [PATCH 2/2] USB: musb: omap2430: add mode change from A to B

From: [email-masked] (Felipe Balbi)
Date: Mon, 15 Mar 2010 18:10:25 +0200

On Mon, Mar 15, 2010 at 02:22:38PM +0300, Sergei Shtylyov wrote:
>    The whole musb_platform_set_mode() seems to be implemented 
> incorrectly on OMAPs -- it shouldn't touch the DevCtl.Session bit. This 

correct. It should be changing the id pin rules just like in tusb6010.c

> function should control the ID pin override instead -- if the controller 
> supports it. SRP must be initiated thru other means, i.e. 'srp' file in 
> sysfs.

via musb_gadget_wakeup()

-- 
balbi